%global debug_package %{nil}

Name:           ublue-bling
Version:        0.1.0
Release:        2%{?dist}
Summary:        Universal Blue Bling CLI setup scripts

License:        Apache-2.0
URL:            https://github.com/ublue-os/packages
VCS:            git+https://github.com/ublue-os/packages#bc775a4a44355c5ef23455a3972e668e4b703c7b:ublue/bling
Source:         packages-ublue-bling-bc775a4a.tar.gz

# Requires: ublue-os-just but we cant add it here because it is sourced from ublue-os/config now.
# It would be interesting to move it here but we need some discussion
Requires:       gum

%description
Universal Blue Bling CLI setup scripts

%prep
%setup -T -b 0 -q -n packages-ublue-bling

%install
install -Dm0755 ./src/%{name} %{buildroot}%{_libexecdir}/%{name}
# Intented to either be symlinked into the correct directories or be used directly
install -Dm0755 ./src/bling.sh %{buildroot}%{_datadir}/ublue-os/bling/bling.sh
install -Dm0755 ./src/bling.fish %{buildroot}%{_datadir}/ublue-os/bling/bling.fish

%files
%{_libexecdir}/%{name}
%{_datadir}/ublue-os/bling/bling.*sh

%changelog
%autochangelog
